import java.util.ArrayList;

public class KennelDriver
{
  public static void main(String[] args)
  {
    ArrayList pets = new ArrayList();

    pets.add(new Cat("Mahitabel"));
    pets.add(new Cat("Calico"));
    pets.add(new Dog("Bo"));
    pets.add(new LoudDog("Barkeley"));
    pets.add(new Dog("Dottie"));
    pets.add(new Cat("KK"));

    new Kennel(pets).allSpeak();
  }
}